Debian Bug report logs - #679132
lintian: false positive on package-uses-local-diversion when --local and --package are not given

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Tue, 26 Jun 2012 14:57:06 UTC

Severity: normal

Found in version lintian/2.5.9

Fixed in version lintian/2.5.16

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#679132; Package lintian. (Tue, 26 Jun 2012 14:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 26 Jun 2012 14:57:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: false positive on package-uses-local-diversion when --local and --package are not given
Date: Tue, 26 Jun 2012 16:53:40 +0200
Package: lintian
Version: 2.5.9
Severity: normal

When you use a dpkg-divert invocation like this one:

  dpkg-divert --rename --divert $file.original --add $file

Lintian triggers an error package-uses-local-diversion. But this error is
wrong since those calls are in maintainer scripts and thus
DPKG_MAINTSCRIPT_PACKAGE is set. When --package and --local are both
missing, and when $DPKG_MAINTSCRIPT_PACKAGE is set, dpkg-divert assumes
--package $DPKG_MAINTSCRIPT_PACKAGE.

This is the case since dpkg 1.16.0 (i.e. since wheezy's dpkg).

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.4-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils                       2.22-6.1
ii  bzip2                          1.0.6-3
ii  diffstat                       1.55-3
ii  file                           5.11-1
ii  gettext                        0.18.1.1-9
ii  hardening-includes             2.2
ii  intltool-debian                0.35.0+20060710.1
ii  libapt-pkg-perl                0.1.26+b1
ii  libc-bin                       2.13-33
ii  libclass-accessor-perl         0.34-1
ii  libclone-perl                  0.31-1+b2
ii  libdpkg-perl                   1.16.5+0~1339924755.72~1.gbp0ede94
ii  libemail-valid-perl            0.190-1
ii  libipc-run-perl                0.91-1
ii  libparse-debianchangelog-perl  1.2.0-1
ii  libtimedate-perl               1.2000-1
ii  liburi-perl                    1.60-1
ii  locales                        2.13-33
ii  man-db                         2.6.2-1
ii  patchutils                     0.3.2-1.1
ii  perl [libdigest-sha-perl]      5.14.2-12
ii  unzip                          6.0-6

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch     <none>
ii  dpkg-dev               1.16.5+0~1339924755.72~1.gbp0ede94
ii  libhtml-parser-perl    3.69-2
ii  libtext-template-perl  1.45-2
ii  man-db                 2.6.2-1
ii  xz-utils               5.1.1alpha+20120614-1

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#679132; Package lintian. (Tue, 10 Jul 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 10 Jul 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 679132@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Raphaël Hertzog <hertzog@debian.org>, 679132@bugs.debian.org
Subject: Re: Bug#679132: lintian: false positive on package-uses-local-diversion when --local and --package are not given
Date: Tue, 10 Jul 2012 15:37:34 +0200
On 2012-06-26 16:53, Raphaël Hertzog wrote:
> Package: lintian
> Version: 2.5.9
> Severity: normal
> 
> When you use a dpkg-divert invocation like this one:
> 
>   dpkg-divert --rename --divert $file.original --add $file
> 
> Lintian triggers an error package-uses-local-diversion. But this error is
> wrong since those calls are in maintainer scripts and thus
> DPKG_MAINTSCRIPT_PACKAGE is set. When --package and --local are both
> missing, and when $DPKG_MAINTSCRIPT_PACKAGE is set, dpkg-divert assumes
> --package $DPKG_MAINTSCRIPT_PACKAGE.
> 
> This is the case since dpkg 1.16.0 (i.e. since wheezy's dpkg).
> 
> [...]
> 
> 
> 

Actually, it sounds like it is a proper warning, since Squeeze (i.e.
stable) still has 1.15.8.12.  That means it could cause issues for
people not upgrading dpkg before everything else (or for any package
upgraded together with dpkg).

~Niels







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#679132; Package lintian. (Tue, 10 Jul 2012 14:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 10 Jul 2012 14:21:08 GMT) Full text and rfc822 format available.

Message #15 received at 679132@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 679132@bugs.debian.org
Subject: Re: Bug#679132: lintian: false positive on package-uses-local-diversion when --local and --package are not given
Date: Tue, 10 Jul 2012 16:18:49 +0200
On Tue, 10 Jul 2012, Niels Thykier wrote:
> Actually, it sounds like it is a proper warning, since Squeeze (i.e.
> stable) still has 1.15.8.12.  That means it could cause issues for
> people not upgrading dpkg before everything else (or for any package
> upgraded together with dpkg).

Right. It's a wheezy+1 or wheezy+2 wishlist then.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/




Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sat, 27 Jul 2013 21:12:07 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Wed, 21 Aug 2013 11:06:16 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 21 Aug 2013 11:06:16 GMT) Full text and rfc822 format available.

Message #22 received at 679132-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 679132-close@bugs.debian.org
Subject: Bug#679132: fixed in lintian 2.5.16
Date: Wed, 21 Aug 2013 11:04:08 +0000
Source: lintian
Source-Version: 2.5.16

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 21 Aug 2013 12:30:07 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.16
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 539315 637881 679132 690273 708381 711069 713012 717621 717633 718167 718337 718351 718404 718563 718575 718690 718820 718862 719163 719450 719788 720337
Changes: 
 lintian (2.5.16) unstable; urgency=low
 .
   * Summary of tag changes:
     + Added:
       - changelog-is-dh_make-template
       - copyright-should-refer-to-common-license-file-for-apache-2
       - debian-control-repeats-field-name-in-value
       - info-document-missing-image-file
       - license-problem-font-adobe-copyrighted-fragment
       - license-problem-font-adobe-copyrighted-fragment-no-credit
       - missing-dependency-on-libstdc++
       - quilt-patch-using-template-description
     + Removed:
       - dh_pycentral-is-obsolete
       - dh_python-is-obsolete
       - font-adobe-copyrighted-fragment
       - font-adobe-copyrighted-fragment-no-credit
       - init.d-script-call-internal-API
       - missing-dependency-on-python-central
 .
   * checks/apache2.pm:
     + [NT] Fix F-P apache2-deprecated-auth-config for
       "AllowOverride".  Thanks to Jean-Michel Vourgère
       for the report and an initial patch.
       (Closes: #717621)
   * checks/binaries.pm:
     + [NT] Apply patch from Michael Stapelberg to exempt
       golang-go binaries from statically-linked-binary
       tag.  (Closes: #718404)
     + [NT] Permit shared libraries to not link against
       libc as long as they link against libstdc++.  This
       fixes a lot of false positive warnings for some c++
       libraries when the linker (with --as-needed)
       determines that the libc link is superfluous.
       Thanks to Maximiliano Curia for the report.
       (This is a partial fix for #719806)
     + [NT] Add experimental tag for missing dependency
       on libstdc++.
   * checks/changelog-file.{desc,pm}:
     + [BR] Add check for dh-make reminder to insert the
       bug number of the ITP bug.  (Closes: #690273)
   * checks/control-file.{desc,pm}:
     + [BR] Add check for field name being duplicated in
       the value of the field.  (Closes: #711069)
   * checks/copyright-file.{desc,pm}:
     + [BR] Extend check for "reference to compressed
       common-license" to include all current
       common-licenses.
     + [BR] Add check for use of Apache-2.0 in d/copyright
       without references common-licenses.
       (Closes: #713012)
   * checks/cruft.pm:
     + [NT] Skip d/README.Debian and d/README.source when
       checking for non-free licenses.  Mentions here are
       presumably just false-positives.  Thanks to
       Marcelo Jorge Vieira for the report and the initial
       patch.  (Closes: #718575)
   * checks/deb-format.pm:
     + [NT] Apply patch from Guillem Jover to fix a wrong
       tag being emitted on lzma compressed udebs.
       (Closes: #718337)
   * checks/debhelper.{desc,pm}:
     + [NT] Remove tag for dh_pycentral and dh_python being
       obsolete.  Thanks to Luca Falavigna for the report.
       (Closes: #720337)
     + [BR] Fix false-negative in the brace expansion check
       when the comma was next to one of the braces.
       (Closes: #708381)
   * checks/files.{desc,pm}:
     + [NT] Remove tag for missing dependency on
       python-central.  Thanks to Luca Falavigna for the
       report.  (Closes: #718690)
     + [BR] Rename font-adobe-copyrighted-fragment tags.
       (Closes: #718820)
     + [NT] Fix false positive warning about embedded
       feedparser for python3-feedparser.  Thanks to
       Etienne Millon for the report.  (Closes: #719163)
   * checks/infofiles.{desc,pm}:
     + [NT] Apply patches from Kevin Ryde to find info files
       references non-existent images.  (Closes: #719450)
   * checks/init.d.{desc,pm}:
     + [NT] Revert init.d-script-call-internal-API for now.
       Refer to #710559 for more information.
   * checks/patch-systems.{desc,pm}:
     + [BR] Add tag for DEP-3 template descriptions.
       (Closes: #717633)
   * checks/phppear.{desc,pm}:
     + [NT] Apply patch from Mathieu Parent to fix false
       positive missing-pkg-php-tools-addon.  Thanks to
       Thijs Kinkhorst for the report.  (Closes: #718167)
     + [NT] Apply patch form Mathieu Parent to reduce the
       severity of a "composer package" not using
       pkg-php-tools to wishlist.  Thanks to Thijs
       Kinkhorst for the report.  (Closes: #718862)
     + [NT] Apply patch from Vincent Bernat to downgrade
       severity of not using phppear substvars for
       description and synopsis plus explain that they
       should not be used blindly.  Thanks to Mathieu
       Parent for the review of the patch.
       (Closes: #719788)
   * checks/po-debconf.{desc,pm}:
     + [NT] Fix false-positive translated-default-field for
       fields preceded by a "true" Deb822 comment.  Thanks
       to Ron Lee for the report.  (Closes: #637881)
   * checks/scripts.pm:
     + [NT] Stop emitting package-uses-local-diversion for
       calls to dpkg-divert without --package as dpkg 1.16.0
       (Wheezy) handles this case correctly.  Thanks to
       Raphaël Hertzog for the report.  (Closes: #679132)
     + [NT] Apply patch from Vincent Cheng to fix warning
       for executable jar files.  Thanks to Matthew Johnson
       for the report.  (Closes: #539315)
   * checks/systemd.pm:
     + [NT] Apply patch from Stig Sandbeck Mathisen to allow
       systemd files being symlinks to /dev/null.
       (Closes: #718563)
 .
   * debian/changelog:
     + [NT] Correct some older tag summaries to include some
       missing tags in the entry for 2.5.11 and 2.5.12.
   * debian/copyright:
     + [NT] Add Bastien ROUCARIÈS to maintainers (as BR).
 .
   * frontend/lintian:
     + [NT] Move some handling of overrides to Lintian::Tags.
 .
   * lib/Lintian/Processable/Package.pm:
     + [NT] Refuse to process .dsc files that are missing the
       Source field.   This prevents some warnings about using
       undefined values.  Thanks to Guillem Jover for the
       report.  (Closes: #718351)
   * lib/Lintian/Tags.pm:
     + [NT] Take over some handling of overrides from the
       frontend.
   * lib/Lintian/Util.pm:
     + [NT] Fix problem in normalize_pkg_path, where "."-entries
       were not properly filtered out.
 .
   * profiles/debian/ftp-master-auto-reject.profile:
     + [NT] Refresh with new tags.  Thanks to Gregor Herrmann
       for the reminder.
Checksums-Sha1: 
 435b4f940160af0bfe8643000b8142efe8f55764 2573 lintian_2.5.16.dsc
 b267004fce87bae42752ae6ed4fa8b105e08f39c 1249827 lintian_2.5.16.tar.gz
 056a47deb74c79080e20bfd5dc0c6a0f92aeb197 687684 lintian_2.5.16_all.deb
Checksums-Sha256: 
 436389fa459f33539c6afbd6aa3902b4e28162be85199f183a748b0f7dc83cde 2573 lintian_2.5.16.dsc
 961c015a5aefa1e9904e187339ee1d18968ab8205086fa67c419720632dd4ab7 1249827 lintian_2.5.16.tar.gz
 f00462f5608739edbd532fd605d90b632b08d624b4f00440201a0dc7e226882f 687684 lintian_2.5.16_all.deb
Files: 
 8cf3f55588dc60f30efa3ae53bb20b08 2573 devel optional lintian_2.5.16.dsc
 2dbdc658c538dd6c78c9973f57ad662a 1249827 devel optional lintian_2.5.16.tar.gz
 0fe81be17c403f45b54874655e397945 687684 devel optional lintian_2.5.16_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSFJz9AAoJEAVLu599gGRC7A4QAJZ2Juj4ZCoGlP0KPAx8H+bs
YRjx+WUMw9bGUUcTmqn+erIMAqHn91J52UBYtMrUX5YjHokZslPtq8qMjT9NLyac
/6r6s4XCiSJOmhZCw6aYeKhlCnttNxzGt1H64lOzRZvWszHb3zbxPE2nDnD6tsWO
9EjZkQCZzORlTVXXQPYE9OgZMmzfAX9cv43cnrunn66Rab3UIfDnzT3wa7DTylWt
cxvuL3SKgkQpQLJ6R3+gfD8NYd+dTQ9fWKLYM5fb0xEMBP9E4CAdcj/seayLyZz8
WH2ufV6H/qsk9qQ8N0P8YPZDv2jchq98D0ZBr7PkS8Qp/w8E3cjN9UaRO65kwl1F
MbMj1N7xjW6pB0vf3hZ+MEfkUbDz8r/Ds7UHzLFPi5JsTHzRE+BC82zow1m7d+rh
dU5KKbglJwnDBY9KbPOIeFyzPJBI2mq5cV3yCBgZA/AL8gedFqKUP5uXdJ7Xs0f/
CvIaanP9gETU0036pCPIZhg+4hDac3zmWEcil5hrSIC5WNT/XXFNc/jVMfk130/O
Fw9tLY+ziCai0UUyWVt/k2dV5UxcFJGj9ZbuNVIAgEryDUrCag+XnhLXkt4hEyIl
T/z5fok4wXME6wOvRLbad7loqq7fleTdLLddbiOYUqiwuo60x6s3XmtXv8XRppKj
/Tv3+utaf5gUqOju1yZl
=roj+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Sep 2013 07:28:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:54:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.